Package be.fgov.ehealth.rn.commons.business.v1

# Class InformationCustomerType

java.lang.Object
be.fgov.ehealth.rn.commons.business.v1.InformationCustomerType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:15+02:00", comments="JAXB RI v4.0.5") public class InformationCustomerType extends Object implements Serializable
Information block that can be used by the customer for diagnostic use.

Java class for InformationCustomerType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="InformationCustomerType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Ticket" type="{urn:be:fgov:ehealth:rn:commons:business:v1}TicketType" minOccurs="0"/>
             <element name="TimestampSent" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
             <element name="CustomerIdentification" type="{urn:be:fgov:ehealth:rn:commons:business:v1}OrganizationIdentificationType"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InformationCustomerType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `OrganizationIdentificationType`
  `getCustomerIdentification()`
  Gets the value of the customerIdentification property.
  `String`
  `getTicket()`
  Client can assign their own ticket reference for the request.
  `Instant`
  `getTimestampSent()`
  Timestamp when client sent request.
  `void`
  `setCustomerIdentification(OrganizationIdentificationType value)`
  Sets the value of the customerIdentification property.
  `void`
  `setTicket(String value)`
  Sets the value of the ticket property.
  `void`
  `setTimestampSent(Instant value)`
  Sets the value of the timestampSent property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### InformationCustomerType

    public InformationCustomerType()

- ## Method Details

  - ### getTicket

    public String getTicket()
    Client can assign their own ticket reference for the request. Not mandatory. For non-UUID tickets only the first 32 chars are stored at CBSS.
    Returns:
      possible object is `String`

  - ### setTicket

    public void setTicket(String value)
    Sets the value of the ticket property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getTicket()`

  - ### getTimestampSent

    public Instant getTimestampSent()
    Timestamp when client sent request.
    Returns:
      possible object is `String`

  - ### setTimestampSent

    public void setTimestampSent(Instant value)
    Sets the value of the timestampSent property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getTimestampSent()`

  - ### getCustomerIdentification

    public OrganizationIdentificationType getCustomerIdentification()
    Gets the value of the customerIdentification property.
    Returns:
      possible object is `OrganizationIdentificationType`

  - ### setCustomerIdentification

    public void setCustomerIdentification(OrganizationIdentificationType value)
    Sets the value of the customerIdentification property.
    Parameters:
      `value` - allowed object is `OrganizationIdentificationType`